Mac test utility (#986)

A utility for running individual or all tests on a Mac dev machine without changing the test script.
This commit is contained in:
Vishal
2019-01-20 16:51:45 +05:30
committed by GitHub
parent e4746007da
commit 3c4fdb0659
15 changed files with 148 additions and 14 deletions
+8 -1
View File
@@ -5,6 +5,14 @@ set -euo pipefail
fn=spec-$(date +%N)
env=python-$fn
cleanup() {
log "Cleaning up..."
fission spec destroy || true
rm -rf specs || true
}
trap cleanup EXIT
# init
fission spec init
@@ -17,7 +25,6 @@ fission env create --spec --name $env --image fission/python-env
log "create env spec"
fission spec apply
trap "fission spec destroy" EXIT
log "verify env created"
fission env list | grep python
@@ -7,6 +7,14 @@ ROOT=$(dirname $0)/../../..
fn=spec-$(date +%N)
env=python-$fn
cleanup() {
pushd $ROOT/examples/python
fission spec destroy
rm -rf $ROOT/examples/python/specs
}
trap cleanup EXIT
pushd $ROOT/examples/python
fission spec init